/* ==========================================================================
Module - Mega menu
========================================================================== */

header,
.wp-site-blocks > *:first-child {
    z-index: 1000;
}

.menu,
.sub-menu {
    list-style: none;
    padding: 0;
    margin: 0;
}

.mega-menu,
.mega-menu .menu,
.mega-menu-item {
    min-height: inherit;
    height: 100%;
}

.menu {
    display: flex;
    gap: 1.5rem;
    align-items: center;
}

.menu-item {
    display: block;
}

.menu-item a,
.menu-item button {
    font-size: 1rem;
}

/* Admin bar
========================================================================== */

.admin-bar .mega-menu.is-open {
    margin-top: var(--wp--admin-bar-offset);
    padding: 0 var(--wp--preset--spacing--m) var(--wp--preset--spacing--l);
    overflow-y: auto;
    height: calc(100% - 2rem);
}

.admin-bar .mega-menu-mobile.is-open {
    margin-top: var(--wp--admin-bar-offset);
    padding: 0 var(--wp--preset--spacing--m) var(--wp--preset--spacing--l);
    overflow-y: auto;
    height: calc(100% - 2rem);
}

.admin-bar .mega-menu-mobile .mega-menu-item > .sub-menu,
.admin-bar .mega-menu-mobile .mega-menu-item .sub-menu .sub-menu {
    top: 0;
    height: 100%;
    max-height: 100%;
    padding: 0 var(--wp--preset--spacing--m) var(--wp--preset--spacing--l);
}

/* Show / Hide menu
========================================================================== */

@media (min-width: 1148px) {
    .mega-menu {
        display: block;
    }

    #toggle-hamburger {
        display: none;
    }

    .mega-menu-mobile {
        display: none;
    }
}

@media (max-width: 1147px) {
    .mega-menu {
        display: none;
    }

    #toggle-hamburger {
        display: flex;
    }

    .mega-menu-mobile {
        display: block;
    }

    .mega-menu-overlay-mobile {
        top: 0 !important;
        opacity: 1 !important;
    }
}

/* Utility classes
========================================================================== */

/* Font sizes */
.menu-item-text-size-small > span,
.menu-item-text-size-small > a {
    font-size: var(--wp--preset--font-size--xs);
}

.menu-item-text-size-default > span,
.menu-item-text-size-default > a {
    font-size: var(--wp--preset--font-size--s);
}

.menu-item-text-size-medium > span,
.menu-item-text-size-medium > a {
    font-size: var(--wp--preset--font-size--m);
}

.menu-item-text-size-large > span,
.menu-item-text-size-large > a {
    font-size: var(--wp--preset--font-size--l);
}

.menu-item-text-size-x-large > span,
.menu-item-text-size-x-large > a {
    font-size: var(--wp--preset--font-size--xl);
}

/* Spacings */
.menu-item-margin-top-small {
    margin-top: var(--wp--preset--spacing-s);
}

.menu-item-margin-top-medium {
    margin-top: var(--wp--preset--spacing--m);
}

.menu-item-margin-top-large {
    margin-top: var(--wp--preset--spacing--l);
}

.menu-item-margin-top-auto {
    margin-top: auto;
}

/* Menu item columns */
.mega-menu-item.menu-item-has-children .sub-menu:has(.mega-menu-column) {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.mega-menu .menu-item.mega-menu-column-50 {
    flex: 0 0 50%;
}

.mega-menu .menu-item.mega-menu-column-33 {
    flex: 0 0 33%;
}

.mega-menu .menu-item.mega-menu-column-25 {
    flex: 0 0 25%;
}

.mega-menu .menu-item.mega-menu-column-100 {
    flex: 0 0 100%;
}

.mega-menu .menu-item.mega-menu-column {
    padding-right: var(--wp--preset--spacing--l);
}

/* Desktop menu
========================================================================== */

.mega-menu .mega-menu-back,
.mega-menu .mega-menu-header-m {
    display: none;
}

/* Menu items */
.mega-menu .mega-menu-item {
    display: flex;
    align-items: center;
    cursor: pointer;
}

.mega-menu .mega-menu-item:has(.hamburger) > span {
    display: flex;
    gap: 0.2rem;
    align-items: center;
}

.mega-menu
    .mega-menu-item
    .sub-menu[class*="col-"]
    > .menu-item:not(.mega-menu-image)
    > span,
.mega-menu
    .mega-menu-item
    .sub-menu[class*="col-"]
    > .menu-item:not(.mega-menu-image)
    > a {
    margin-bottom: 1rem;
    font-weight: 700;
    display: inline-block;
}

/* Sub menus */
.mega-menu .mega-menu-item > .sub-menu {
    width: 100%;
    padding: 0 2rem;
    max-height: min(600px, 100vh - var(--wp--custom--header-height--total));
    overflow-y: auto;
    background: #fff;
    position: absolute;
    top: 100%;
    left: 0;
    z-index: 1001;
    opacity: 0;
    pointer-events: none;
    transition: opacity 150ms ease;
}

.mega-menu-item > .sub-menu > .menu-item:not(.mega-menu-column) {
    max-width: calc(var(--max-width-default) / 2);
    margin-left: auto;
    margin-right: 50%;
}

[data-submenu-open] .mega-menu-item > .sub-menu {
    transition: unset;
}

.mega-menu .mega-menu-item > .sub-menu {
    padding: var(--wp--preset--spacing--l);
}

.mega-menu .mega-menu-item-parent .chevron {
    margin-left: 0;
}

.mega-menu .mega-menu-item-parent span {
    display: flex;
    align-items: center;
    gap: 4px;
}

.mega-menu .mega-menu-item-parent .chevron {
    transition: transform 0.2s ease;
}

.mega-menu .mega-menu-item-parent.is-open .chevron {
    transform: translateY(-2px) rotate(180deg);
}

.mega-menu.is-sub-menu-open .mega-menu-item > .sub-menu {
    transition: none;
}

.mega-menu .sub-menu.is-open {
    pointer-events: all;
    opacity: 1;
}

.mega-menu .mega-menu-item .sub-menu.is-open .sub-menu {
    pointer-events: all;
}

.mega-menu .sub-menu .sub-menu .sub-menu {
    display: block;
    position: relative;
    top: 0;
    left: 0;
}

/* Menu featured image */
.mega-menu-image a {
    position: relative;
}

.mega-menu-image a,
.mega-menu-image span {
    display: flex;
    flex-direction: column;
}

.mega-menu-image a {
    display: block;
    height: 100%;
}

.mega-menu-image {
    display: none;
    height: 100%;
    aspect-ratio: 1 / 1;
}

.sub-menu.is-open > .mega-menu-image {
    position: relative;
    width: 100%;
    aspect-ratio: var(--wp--custom--aspect-ratio--landscape);
    overflow: hidden;
}

.menu-item a:has(span.mega-menu-image) {
    display: flex;
    flex-direction: column;
    gap: var(--wp--preset--spacing--xxs);
}

.mega-menu-image img {
    object-fit: cover;
    max-width: 100%;
    height: 100%;
    width: 100%;
}

.mega-menu-image-text {
    position: absolute;
    top: 50%;
    left: 50%;
    color: #fff;
    transform: translate3d(-50%, -50%, 0);
    opacity: 0;
    transition: opacity 0.2s ease;
    z-index: 2;
}

/* .mega-menu-image-overlay {
	background-color: rgba(0 0 0 / 25%);
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	z-index: 1;
	opacity: 0;
	transition: opacity 0.2s ease;
} */

.mega-menu-image:hover .mega-menu-image-text,
.mega-menu-image:hover .mega-menu-image-overlay {
    opacity: 1;
}

@media screen and (max-width: 1100px) {
    .mega-menu-image,
    .menu-parent-btn.is-open .mega-menu-image {
        display: none !important;
    }
}

/* Overlay */
.mega-menu-overlay {
    position: absolute;
    z-index: 999;
    top: 100%;
    left: 0;
    width: 100%;
    height: 100vh;
    background-color: transparent;
    pointer-events: none;
    opacity: 0;
    transition: opacity 0.2s ease;
    cursor: pointer;
}

.mega-menu-overlay.is-sub-menu-open {
    opacity: 1;
    pointer-events: all;
    background-color: rgba(0 0 0 / 40%);
}

/* Unset mega menu */
.mega-menu .mega-menu-item.unset-mega-menu > .sub-menu {
    transform: translateX(0);
}

.mega-menu .menu-item.unset-mega-menu.menu-item-has-children {
    position: relative;
}

.mega-menu .mega-menu-item.unset-mega-menu > .sub-menu {
    width: max-content;
    max-width: 250px;
    min-height: max-content;
    line-height: 2;
}

/* Mobile menu
========================================================================== */

.mega-menu-mobile {
    position: fixed;
    right: 0;
    top: 0;
    left: -100%;
    height: 100%;
    width: 100%;
    max-width: 400px;
    z-index: 9999;
    background: #fff;
    padding: 0 var(--wp--preset--spacing--m) var(--wp--preset--spacing--l);
    transition: left 0.3s cubic-bezier(0.5, 0, 0, 1);
}

.mega-menu-mobile.is-open {
    left: 0;
    overflow-y: scroll;
}

.mega-menu-mobile .menu {
    min-height: initial;
    height: auto;
    flex-direction: column;
    align-items: flex-start;
    gap: var(--wp--preset--spacing--m);
}

/* Menu items */

.mega-menu-mobile .menu-item-text-size-default > span,
.mega-menu-mobile .menu-item-text-size-default > a {
    font-size: var(--wp--preset--font-size--l);
}
.mega-menu-mobile .menu > .menu-item > span {
    font-size: inherit;
}

.mega-menu-mobile .menu-item {
    width: 100%;
}

.mega-menu-mobile .mega-menu-item-parent > span {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.mega-menu-mobile .mega-menu-item-parent .chevron {
    transform: rotate(-90deg) !important;
    margin-bottom: 0;
}

/* Mobile sub menus */
.mega-menu-mobile .mega-menu-item > .sub-menu {
    pointer-events: none;
}

.mega-menu-mobile .mega-menu-item > .sub-menu.is-open {
    pointer-events: all;
}

.mega-menu-mobile .mega-menu-item > .sub-menu {
    display: flex;
    flex-direction: column;
    gap: var(--wp--preset--spacing--m);
}

.mega-menu-mobile .mega-menu-item > .sub-menu,
.mega-menu-mobile .mega-menu-item .sub-menu .sub-menu {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    padding: 0 var(--wp--preset--spacing--m) var(--wp--preset--spacing--l);
    transform: translateX(-100%);
    overflow-y: auto;
    overflow-x: hidden;
    transition: transform 0.3s cubic-bezier(0.5, 0, 0, 1) !important;
    opacity: 1;
}

.mega-menu-mobile .mega-menu-item .sub-menu .sub-menu {
    display: block;
    background-color: #fff;
}

.mega-menu-mobile .mega-menu-item .sub-menu.is-open {
    transition: transform 0.3s cubic-bezier(0.5, 0, 0, 1) !important;
    transform: translateX(0);
}

.mega-menu-mobile .mega-menu-item .sub-menu .sub-menu .sub-menu {
    display: block;
    left: 0;
}

.mega-menu-mobile
    .mega-menu-item
    > .sub-menu:has(.mega-menu-image)
    > .menu-item {
    max-width: unset;
    margin-left: unset;
    margin-right: unset;
}

/* .admin-bar .mega-menu-mobile .mega-menu-item > .sub-menu,
.admin-bar .mega-menu-mobile .mega-menu-item .sub-menu .sub-menu {
	top: 46px;
	height: calc(100% - 46px);
} */

/* Mobile menu header */
.mega-menu-mobile .mega-menu-header-m {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    padding: var(--wp--preset--spacing--space-xs) var(--wp--preset--spacing--space-s);
    border-bottom: 1px solid var(--border-color);
}

.mega-menu-mobile .mega-menu-header-m .custom-logo-link {
    display: flex;
}

.mega-menu-mobile .mega-menu-header-m img {
    max-width: 74px;
    height: auto;
}

/* Back and close button */
.mega-menu-mobile .mega-menu-btn {
    display: flex;
    align-items: center;
    justify-content: end;
    padding: 0;
    background-color: transparent;
    border: unset;
    cursor: pointer;
    width: 40px;
    height: 40px;
}

.mega-menu-mobile .menu-parent-btn.is-open {
    text-decoration: underline;
}

.mega-menu-mobile .mega-menu-back {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: var(--wp--preset--spacing--space-xs) var(--wp--preset--spacing--space-s);
    border-bottom: 1px solid var(--border-color);
}

/* .mega-menu-mobile .mega-menu-back > * {
	flex: 0 0 33.3%;
} */

.mega-menu-mobile .mega-menu-back .mega-menu-back-btn {
    display: inline-block;
    text-align: center;
    color: #000;
    font-size: 0;
}

.mega-menu-mobile .mega-menu-back .mega-menu-close-btn {
    justify-content: center;
    align-items: center;
    width: 40px;
    height: 40px;
}

.mega-menu-mobile .mega-menu-back button img {
    transform: rotate(180deg);
}

.mega-menu-mobile .mega-menu-back .submenu-heading {
    text-align: center;
    font-size: var(--wp--preset--font-size--l);
}

/* Close mobile menu RÄTTA TILL */
.mega-menu-mobile .mega-menu-close {
    background-color: transparent;
    border: unset;
    cursor: pointer;
    display: none;
}

@media screen and (max-width: 1100px) {
    .mega-menu-mobile .mega-menu-close {
        display: block;
    }
}

/* Mobile overlay */

/* Hamburger icon 
========================================================================== */

#toggle-hamburger {
    /* display: none; */
    height: 3.125rem;
    width: 3.125rem;
    justify-content: end;
    align-items: center;
    appearance: none;
    border: unset;
    background-color: transparent;
}

.hamburger-icon {
    position: relative;
    height: 1rem;
    width: 1.4rem;
}

.hamburger-icon::before,
.hamburger-icon::after {
    content: "";
    position: absolute;
    height: 2px;
    width: 100%;
    background-color: #000;
}

.hamburger-icon::before {
    top: 2px;
}

.hamburger-icon::after {
    bottom: 2px;
}

.mega-menu-item:has(.hamburger).is-open .hamburger-icon::before {
    transform: translate(-50%, 5px) rotate(45deg);
}

.mega-menu-item:has(.hamburger).is-open .hamburger-icon::after {
    transform: translate(-50%, -5px) rotate(-45deg);
}
